      SUBROUTINE ICEOPTIC (FGHZ, T, EPSRI, EPSII)

**  Hufford (1991), see Brussard and Watson (1995), p.297
**
      IMPLICIT NONE
**
      SAVE

      REAL*8 FGHZ, EPSRI, EPSII, A, B, THETA, T, TK
**
      EPSRI = 3.15 D+00

      TK = T
      IF (TK .GT. 273.16) TK = 273.16

      THETA = 300.0 / TK
      A     = 1.0 D-04 * (50.4 + 62.0 * (THETA - 1.0))
     +      * EXP (-22.1 * (THETA - 1.0))
      B     = 1.0 D-04 * (0.633 / THETA - 0.131)
     +      + (7.36 D-04 * THETA / (THETA - 0.9927))
     +      * (7.36 D-04 * THETA / (THETA - 0.9927))
      EPSII = A / FGHZ + B * FGHZ
**
      RETURN
      END
**
*******************************************************************************
      BLOCKDATA SETDATA
**
      SAVE
**
      REAL*8 CONV, PI, GHZTOHZ
      REAL*8 EPS0, EPSHIGH
**
      COMMON / ENVIRO1  / CONV, PI, GHZTOHZ
      COMMON / ENVIRO2  / EPS0, EPSHIGH
**  
      DATA PI      /  3.141592654 D+00 /
      DATA CONV    /  0.017453292 D+00 /
      DATA GHZTOHZ /  1.0         D+09 /
**
      DATA EPS0     / 8.854 D-12 /
      DATA EPSHIGH  / 4.9   D+00 /
**      
      END
